ONVIF::PTZ::Types::Capabilities(3)

NAME
ONVIF::PTZ::Types::Capabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType Capabilities from the namespace http://www.onvif.org/ver20/ptz/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::Capabilities
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::Capabilities::_Capabilities::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   EFlip

     Indicates whether or not EFlip is supported.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   Reverse

     Indicates whether or not reversing of PT control direction is supported.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   GetCompatibleConfigurations

     Indicates support for the GetCompatibleConfigurations command.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL